{ pkgs ? import <nixpkgs> { } }:

let
  cargo_nix = pkgs.callPackage ./Cargo.nix {
    defaultCrateOverrides = pkgs.defaultCrateOverrides // {
      ncurses = attrs: { buildInputs = with pkgs; [ ncurses pkg-config ]; };
    };

  };
in {
  majc = cargo_nix.workspaceMembers."majc".build;
  majsite = cargo_nix.workspaceMembers."majsite".build;
}
